IRC /topic help text is incorrect.

RESOLVED FIXED in 1.2

Status

--
trivial
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: clokep, Assigned: clokep)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Assignee)

Description

5 years ago
*** Original post on bio 1478 at 2012-06-01 23:34:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Assignee)

Comment 1

5 years ago
Created attachment 8353303 [details] [diff] [review]
Patch v1

*** Original post on bio 1478 as attmnt 1548 at 2012-06-01 23:34:00 UTC ***

The topic help text currently says you can view or change a topic...it should say change or remove a topic.
Attachment #8353303 - Flags: review?(bugzilla)

Comment 2

5 years ago
Comment on attachment 8353303 [details] [diff] [review]
Patch v1

*** Original change on bio 1478 attmnt 1548 at 2012-06-01 23:40:17 UTC ***

I don't think it's obvious from that how to clear the topic. How about something like "Change the channel topic, or remove the current topic by not specifying a new topic." (not an ideal string either yet)
Attachment #8353303 - Flags: review?(bugzilla) → review-
(Assignee)

Comment 3

5 years ago
*** Original post on bio 1478 at 2012-06-02 17:24:20 UTC ***

(In reply to comment #1)
> Comment on attachment 8353303 [details] [diff] [review] (bio-attmnt 1548) [details]
> Patch v1
> 
> I don't think it's obvious from that how to clear the topic. How about
> something like "Change the channel topic, or remove the current topic by not
> specifying a new topic." (not an ideal string either yet)

Yeah, I can agree with that...the whole help topic text in general is rather cryptic.

Would something this be better?
> topic [<new topic>]: Change the channel topic (do not proview a <new topic> to
> clear the topic).

If so, I'll make up the patch. :)
(Assignee)

Comment 4

5 years ago
Created attachment 8353314 [details] [diff] [review]
Patch v2

*** Original post on bio 1478 as attmnt 1559 at 2012-06-04 23:46:00 UTC ***

After some discussion on IRC...
Attachment #8353314 - Flags: review?(florian)
(Assignee)

Comment 5

5 years ago
Comment on attachment 8353303 [details] [diff] [review]
Patch v1

*** Original change on bio 1478 attmnt 1548 at 2012-06-04 23:46:38 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353303 - Attachment is obsolete: true
Comment on attachment 8353314 [details] [diff] [review]
Patch v2

*** Original change on bio 1478 attmnt 1559 at 2012-06-04 23:49:41 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353314 - Flags: review?(florian) → review+
(Assignee)

Comment 7

5 years ago
*** Original post on bio 1478 at 2012-06-04 23:51:04 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/afdca7970880
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.